2000-02-14  Koaunghi Un  <zxmst22@softland>

	* ksx1001.tex: \let\hbfdefault\bfdefault (호환성을 위해)

	* hfont.tex: 빠진 모듬 \hbfdefault를 넣음.  \if@KSCbold는 없애고
	\fontseries모듬에서 "S" (softbold) 를 인식하며, \bfseries 명령은
	\hbfdefault에 의해 우리말의 두꺼운 글자체를 결정.
	
	* uhc-gothic.tar.gz: 고딕체 글자체에 같이 포함된 명조체 tfm
	파일들을 삭제.

2000-01-27  Koaunghi Un  <zxmst22@softland>

	* 한글LaTeX 0.99 판:

	* hangul.sty: hardbold를 애초값으로 변경.

2000-01-20  Koaunghi Un  <zxmst22@softland>

	* kscommon.tex: 다시 hangul.sty에 통합.

	* 완성형 글자체를 모두 없애고 UHC 글자체와 문화부 트루타입
	글자체만 사용.  uhc.sty을 hfont.tex에 삽입하고 내용을 \relax 시킴.

	* 글자체 이름을 통일: 흘림체는 정자체의 이태릭체가 아니라 따로
	독립된 글자체로 취급.  이에 따라 문화부 글자체의 쓰기 흘림체와
	궁체 흘림체를 따로 분리.  쓰기 정자체와 쓰기 흘림체는 이전의
	sg에서 sg 및 sh로 분리.  궁체 및 옛글체는 두꺼운 글자체로 보지
	않고 그 글자체 자체가 두꺼움을 의미하므로 보통의 두께로 간주.

2000-01-16  Koaunghi Un  <zxmst22@softland>

	* UHC 글자체에 필기, 펜글씨, 펜흘림, 봄글씨, 옛글, 자모 (명조,
	고딕, 노벨, 소라)를 추가.

	* hfont.tex, ksx1001.tex: \DeclareOldFontCommand 명령은 기본
	글자체 (명조, 고딕, 타자) 이외에는 모두 삭제.  \text??와 \??family
	모듬 명령들은 호환성을 위해 아직 남겨둠.  옛글 글자체의 한자를
	yt로 수정.

	* hfont.tex: 자모 글자체의 가족 이름은 mmj, mgt, mnv, msr를 jmj,
	jgt, jnv, jsr로 바꿈으로써 UHC 글자체 이름과 동일하게 함.

2000-01-07  Koaunghi Un  <zxmst22@softland>

	* josa.tab: 0,A8,DE 제거
	1,A8,F6 1,A8,F7 1,A8,F9 1,A8,FB 1,A8,FE 0,A8,F8 0,A8,FD 추가


2000-01-06  Koaunghi Un  <zxmst22@softland>

	* ksx1001.tex: 한글 KS X 1001 부호 체계를 사용할 때 필요한
	lambda용 매크로 파일.

	* ksc5601.tex: 없앰.

	* umj03, umjb03, ugt03, ugtb03: endash를 추가.  ofm, ovf, tfm
	파일들을 새로 작성.  "2015(horizontal bar)에 있던 emdash를 "2014로
	옮김.

1999-12-25  Koaunghi Un  <zxmst22@softland>

	* kscommon.tex: \refname을 "참고 문헌", "參考 文獻"으로 변경.

1999-08-03  Koaunghi Un  <zxmst22@softland>

	* 한글LaTeX 소스의 자료방 구조를 변경: 한글LaTeX의 모든 기능을
	live로 사용할 수 있음.  ls-R 파일도 추가.

1999-06-30  Koaunghi Un  <zxmst22@softland>

	* hlambda: 필요없게 된 hlatex 스크립트는 없애고, lambda에 맞게
	고침.

1999-06-21  Koaunghi Un  <zxmst22@softland>

	* contrib/teTeX-1.0.diff:  새 파일.

1999-04-06  Koaunghi Un  <zxmst22@softland>

	* UHC 글자체의 tfm, vf, ofm, ovf 를 다시 만듦.

1999-03-10  Koaunghi Un  <zxmst22@softland>

	* kscommon.tex: \if@appendix를 없애고 \appendix에서 \kscntformat
	모듬으로 \section 혹은 \chapter를 미리 변경함.
	\kscntformat{appendix}..도 삭제.

1999-03-08  Koaunghi Un  <zxmst22@softland>

	* hangul.sty: LaTeX의 우리말화된 이름들은 \ksnamedef로 설정되고,
	편/장/절의 번호의 앞에 사용될 우리말 이름들은 \pre@partcnt,
	\pre@chaptercnt, \pre@sectioncnt로 각각 분리해서 처리됨.
	\post@seccnt도 각각 \post@partcnt, \post@chaptercnt,
	\post@sectioncnt로 분리해서, 각각 \partname, \chaptername,
	\sectionname으로 지정됨.  \ksseccntformat은 \kscntformat으로
	바꾸어 사용자가 편/장/절을 따로 재설정할 수 있음. \appendix의
	경우는 \if@appendix로 확인하고 위와 같은 식으로 수정됨.  각각의
	단원 모듬은 이에 맞게 수정.  우리말 조사에 \hnum(하나, 둘,
	셋...스물넷)과 \Hnum(첫째, 둘째, 셋째...스물넷째)을 추가.
	불필요한 \ks@noexpand는 없앰.

	* kscommon.tex: Lambda와 LaTeX에서 공통으로 사용되는 부분을
	kscommon.tex에 저장.  이에 맞게 hangul.sty과 ksc5601.tex을 축소.

1999-03-03  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\hindexhead): 색인의 head format이 \hindexhead에
	의해 일률적으로 통제될 수 있도록 고침.
	\seename을 {\을~참조}로 고침으로써 사용자가 쉽게 수정할 수 있도록
	함.

1999-03-01  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\see): makeidx.sty파일을 사용할 때, .ind파일의
	\hindexhead를 혼란시키는 \make@josa를 \emph 모듬의 안으로 집어
	넣음.

1999-02-23  Koaunghi Un  <zxmst22@softland>

	* ugt00, utt00: ^^93와 ^^94의 위치가 서로 바뀜.
	* ugt02, ugtb02, ugs02: ^^56와 ^^58의 위치가 서로 바뀜.  잘못된
	모양을 수정.

1999-02-20  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\ksseccntformat): 편,장,절의 번호에 앞뒤로 추가될
	한글이름을 각각 \pre@seccnt와 \post@seccnt로 나누고, \part,
	\chapter, \section의 번호가 \ks@seccntformat에 의해 틀잡아지도록
	함. \ps@heading들도 이에 맞게 수정.

1999-02-14  Koaunghi Un  <zxmst22@softland>
	* contrib/auctex-9.9p.ko.diff: 새로 만듬.

1998-12-27  Koaunghi Un  <zxmst22@softland>

	* wansung/config/wansung.map: 실수로 wan-down.map과 같은 내용임을
	수정함.

1998-12-25  Koaunghi Un  <zxmst22@softland>

	* hangul.sty:  한글화된 TeX 이름들의 정의에서 빠진 \ks@noexpand를
	다시 고침.  (\section 에서 "제"와 "장"이 나오지 않았음)

1998-12-19  Koaunghi Un  <zxmst22@softland>

	* hangul.sty, ksc5601.tex:  counter \ks@ctr을 없앰.  \appendix,
	\thesection, \@chapapp, \@part, \@chapter, \l@chapter, \section,
	\l@section, \ps@headings, \ps@myheadings는 사용되는 class를 확인한
	후 한글화되도록 함.

1998-12-03  Koaunghi Un  <zxmst22@softland>

	* hangul.sty, ksc5601.tex: 자동조사처리가 잘못되는 숫자 9의 벌레
	해결.
	* hfont.tex: slides를 만들 때 발생하는 \@pshan -> undefined
	control sequence를 교정.

1998-08-03  Koaunghi Un  <zxmst22@softland>

	* ksc5601.tex: \hfontseries의 초기값을 m으로 설정.

1998-07-21  Koaunghi Un  <zxmst22@softland>

	* 0.98판
	* ksc5601.tex: 우리말의 두꺼운 글자체는 \hfontseries로만 바꿀 수
	  있도록 함.  애초값의 설정은 \hbfdefault로.
	* uhc.sty moonttf.sty: harbold가 적용되면 \hf@series를 미리 b로
	  설정하고 모듬 명령 \hfontseries로 바꿀 수 있도록 하며, 실수로
	  Ω에서 사용되면 아무런 작용을 하지 않도록 함.

1998-07-15  Koaunghi Un  <zxmst22@softland>

	* jamo.tar.bz2 pjamo.tar.bz2: 타자 글자체를 삭제
	* ksc5601.tex: 문제를 일으키는 \#, \%, \&를 재정의.

1998-07-06  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\@bibitem): 불필요한 \load@ksc와 \bold@ksc를 없애고,
	  보조 파일에 \bibcite 모듬 명령을 쓸 때, pdfLaTeX의 경우 우리말
	  모듬 명령을 전개시키지 않도록 함.
	* contrib/musixtex.diff: MusixTeX의 \setname 모듬 명령에 우리말을
	  쓰면 발생하는 착오를 방지.

1998-07-05  Koaunghi Un  <zxmst22@softland>

	* ugrb14.pfb - ugrb18.pfb: 중복된 글자를 없앰.
	* wansung/config/wansung.map wansung/config/wan-down.map:
	  pkolo 글자체를 잘못 기입한 것을 고침.

1998-06-28  Koaunghi Un  <zxmst22@softland>

	* umj02, umjb02: 잘못된 옛글자 수정.

1998-06-27  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\captionskorean): \captions@hangul 및
	  \captions@hanja)를 사용하여 표제를 우리말로 바꿀 수 있도록.
	* hangul.sty (\@chapter): 단말기에 \@jong, \@jung, \ri@ul의
	  출력을 억제.

1998-06-20  Koaunghi Un  <zxmst22@softland>

	* hfont.tex: pdf(la)tex을 사용할 때에는 PS 글자체가 미리
	  설정되도록 고침.
	* moonttf/moonttf.sty: pdf(la)tex을 쓸 때는 \MapHangulFamily가
	  작동하지 않도록 고침.
	* wansung/wansung.map wansung/wan-down.map pdflatex/wan-pdf.map:
	  빠진 글자체 (타자, 자모)를 추가.
	* ptaza.tar.bz2: 완성형 PS 타자 글자체의 vf 파일들이, 바뀐 고딕
	  글자체를 쓰도록 고침.
	* phsym.tar.bz2: 불필요한 vf 파일들을 없애고 tfm 파일을 다시
	  만듬. (이상 조진환님께 감사).

1998-06-15  Koaunghi Un  <zxmst22@softland>

	* hlguide.tex: 수정.
	* hangul.sty ksc5601.tex: LaTeX에서 사용되는 우리말 이름이 자동
	  조사 처리될 수 있도록 함.
	* uhc.sty moonttf.sty: \DeclareErrorHFont,
	  \DeclareHFontSubstitution을 넣어서 \begin{document}에서
	  \MapHangulFamily가 반영되도록 함.
	* 조합/완성 혼합식 KAIST 글자체는 모듬 파일들과 합께 따로
	  분리. (oldhan.tar.bz2)
	* uhc-pdf.map wan-pdf.map: pdflatex에서 사용되는 글자체 설정
	  파일.

1998-06-05  Koaunghi Un  <zxmst22@softland>

	* UHC(Unified Hangul Code) 계열의 글자체 완성: Type1 형식. tfm,
	  vf, ofm, ovf 포함.
		명조체(보통/두꺼운 굵기, 상징기호/한글/한자)
		고딕체(보통/두꺼운 굵기, 상징기호/한글/한자)
		그래픽(보통/두꺼운 굵기, 상징기호/한글)
		궁서체(보통 굵기, 상징기호/한글/한자)
		신문체(보통 굵기, 상징기호/한글/한자)
		타자체(보통 굵기, 상징기호/한글)
	  LaTeX용 font description 파일 작성:
		hswmj.fd, hwwmj.fd, hhwmj.fd: 명조체
		hswgt.fd, hwwgt.fd, hhwgt.fd: 고딕체
		hswgr.fd, hwwgr.fd	    : 그래픽
		hswgs.fd, hwwgs.fd, hhwgs.fd: 궁서체
		hswsh.fd, hwwsh.fd, hhwsh.fd: 신문체
		hswtt.fd, hwwsh.fd, hhwsh.fd: 타자체
	  Lambda용 font description 파일 작성:
		kscmj.fd, kscgt.fd, kscgr.fd, kscgs.fd, kscsh.fd,
		ksctt.fd
	  LaTeX용 모듬 파일 uhc.sty 작성.
	* ksc5601.tex: Lambda로 문서의 틀을 잡을 때 사용되는 모듬 파일.
	* hangul.sty: Lambda를 쓸 때는 ksc5601.tex을 읽도록 수정.
	* hovftest.tex: Lambda로 우리말 글자체를 시험할 수 있는 모듬
	  파일.

1998-05-29  Koaunghi Un  <zxmst22@softland>

	* 문체부 개발 글자체의 TrueType 글자체를 사용할 수 있도록 tfm
	파일과 subfont definition 파일 (wansung.sfd) 및 ttfonts.map에
	글자 등록을 위한 moonttf.map 파일 작성.  한글LaTeX에 필요한 font
	description 파일 (hwmbt.fd, hwmdt.fd, hwmgs.fd, hwmhm.fd,
	hwmsg.fd) 작성.
	
	mt.ttf(바탕체), mb.ttf(견바탕체), mg.ttf(돋움체),
	mk.ttf(견돋움체), mj.ttf(궁체 정자체), mm.ttf(궁체 흘림체),
	mh.ttf(훈민정음체), mn.ttf(쓰기 정자체), mp.ttf(쓰기 흘림체)

1998-05-01  Koaunghi Un  <zxmst22@softland>

	* 완성형 PS 글자체가 vf 글자체가 없이 tfm 파일만으로 사용될 수
	  있도록 다시 만듦.

1998-04-29  Koaunghi Un  <zxmst22@softland>

	* hfont.tex: 글자체 선택 모듬 명령에서 사용되는 \edef에서 빈
	공간을 출력하는 벌레를 잡음.

	* contrib/ps2pk15.diff: ps 글자체에 hint가 많을 때 ps2pk가 "Too
	many hints"라는 알림말을 보이면서 미리보기 글자를 만들지 않는 것을
	막는 ps2pk 1.5판 깁기 파일.

1998-04-24  Koaunghi Un  <zxmst22@softland>

	* 문체부 개발 글자체중 조합 가능한 글자체 (바탕체, 돋음체,
	제목바탕체, 제목돋움체, 궁체 정자체, 쓰기체 정자체)를 한글LaTeX에
	맞게 완성 (postscript type1 형식). 글자체 설명 파일 4개 추가
	(hwmhmj.fd, hwmhgt.fd, hwmhgs.fd, hwmhpn.fd).  운영 설정을 위한
	moonhwa.map (psfonts.map용), Fontmap.mh (ghostscript용),
	moonhwa.upr (ps2pk용) 작성.  readme.mh 작성.

1998-03-20  Koaunghi Un  <zxmst22@softland>

	*  조진환님의 <chofchof@math.kaist.ac.kr> 지적 사항: dvips
	5.76판에서 한글 PS 글자체 전체를 ps 파일에 올릴 때 (dvips
	<파일>.dvi -o) 다음의 문제가 발생함.

	"First number not found     ERROR in encoding vector":
	/Encoding 의 정의가 단순히 def 로 되어 있음으로서 착오 발생.
	def를 readonly def로 수정.
		pjmtt10.pfb, pkmjm[0-9].pfb, pkgrm[0-9].pfb,
		pksmm[0-9].pfb, pkyt0.pfb 

	"Second number not found in Char string of '/FontName'":
	257개의 글자가 /CharStrings 258 dict dup begin 이라 정의됨이 원인.
	/CharStrings 257 dict dup begin 이라고 수정.
		pkbmm0.pfb, pkpgm0.pfb

	* 역시 조진환님의 지적 사항:
	hwpsm.fd: 새명조 PS 글자체를 pkmj로 잘못 기입.
	pksm으로 수정.

1998-03-18  Koaunghi Un  <zxmst22@softland>

	* hangul.sty: 우리말 이름을 전산 순화 용어로 수정:
		      첨부물->동봉물(同封物) 목차->목록(目錄)
		      그림목차->그림목록(그림目錄) 표목차->표목록(表目錄)
		      참고서적->참조서적(參照書籍) 색인->차례짓기(索引)
		      참고문헌->저서목록(著書目錄) 어휘->용어풀이(語彙)
		      슬라이드빛깔->환등판색깔(幻燈版色相) 페이지->쪽
	* hlguide.tex: 전산기 순화 용어 사용.  부록에 전산기 순화 용어
		      자료집을 추가.

1998-03-07  Koaunghi Un  <zxmst22@softland>

	* hangul.sty: 잘못된 한자 \ksappendixname을 교정 (錄)

1998-02-05  Koaunghi Un  <zxmst22@softland>

	* fonts/Makefile: jmtt를 jamo에서 빼고 taza로 바꿈

	* contrib/: mule-2.0 삭제. tex.ch.diff 추가. readme.ks 수정.

	* readme.ks, readme.eng, news.ks: 수정.

1998-02-04  Koaunghi Un  <zxmst22@softland>

	* hangul.sty (\@setref): \expandafter#2#1다음에 \null을 두므로서
	reference다음에 나타나는 빈공간을 제거. (새 LaTeX2e에 반영된 사항)

	* hlguide.tex: 수정, 보완.

1998-02-01  Koaunghi Un  <zxmst22@softland>

	* pkbm+pg+yt0.tar.gz, wsbm+pg+yt0.tar.gz: \bm, \pg, \yt의 글꼴에서
	"겠"과 "겡"의 위치가 뒤바뀐 것을 교정.

1998-01-16  Koaunghi Un  <zxmst22@softland>

	* hangul.sty: \DeclareOption{nojosa}. \@josatrue일 경우에만
	메모리를 많이 요구하는 \make@josa와 josa.tab가 제대로 작동할 수
	있도록 함.
	
	* pkmj.tar.gz, pkgr.tar.gz: CharStrings에 빠져있던 .notdef의
	정의를 추가. (신정식님께 감사. jshin@pantheon.yale.edu)
	
	* fonts/config/special.map: 타자글꼴을 korean/taza로.
	
	* fonts/config/Fontmap: 펜글씨글꼴 및 타자글꼴의 위치를 교정.


1997-12-11  Koaunghi Un  <zraun01@sunap3>

	* hangul.sty (\protected@write): \pagenumbering과 .idx화일에서
	\thepage가 문제를 일으킴으로 인해 LaTeX2e대로 원상복구 (재정의를
	삭제). \if@ksroman은 없애고, 우리말조사처리에 필요한 숫자매크로의
	정의시(\@arabic, \@roman, \@Roman, \@alph, \@Alph, \@fnsymbol,
	\jaso, \gana, ...) \protect가 \relax일 경우만 조사처리매크로가
	작동하도록 고침.
	* hangul.sty (\label): \@auxout화일에서 \@currentlabel과
	\thepage의 다음에 각각 \make@josa{\@currentlabel}과
	\make@josa{\thepage}가 적혀지도록 고침. 이에 따라 우리말 조사에
	쓰이는 기호문자의 (\jaso, \gana, ...) 조사처리가 가능하도록
	josa.tab을 확장.

1997-12-01  Koaunghi Un  <zraun01@sunap3>

	* hangul.sty (\make@josa): LaTeX에 global로 쓰이는 숫자매크로를
	사용하지 않도록 변경함(\count\z@, \count\tw@).

1997-10-18  Koaunghi Un  <zraun01@sunap3>

	* hfont.cfg: 조합형글꼴사용시 필요한 \renewcommand\mjdefault{sm}에
	대해 언급.
	* hfont.tex: 타자글씨체의 심벌과 한자의 대응을 tt로 바꾸고 이에
	필요한 tfm과 vf글꼴을 고딕체로부터 폭만 타자체에 맞도록 만들어
	공급함.
	* hstt.fd hsptt.fd hhtt.fd hhptt.fd: 타자체 글꼴용으로 새로 작성.

1997-10-09  Koaunghi Un  <zraun01@sunap3>

	* hangul.sty: \chapter뒤에 나오는 \pagenumbering의 기능이
	\tableofcontents에는 적용이 않되던 버그를 잡음. (wkim@pitt.edu)

1997-05-27    <zraun01@sunaps>

	* 0.97판 공개.

1997-05-21    <zraun01@sunaps>

	* 자모글꼴중 vftovp에서 착오를 발생하는 vf, tfm서류철 교정:
	jmmj9 jmmjo9 pjmmj9 pjmmjo9
	jmgt9 jmgto9 pjmgt9 pjmgto9
	jmtt9 jmtto9 pjmtt9 pjmtto9
	jmnv9 jmnvo9 pjmnv9 pjmnvo9
	jmsr9 jmsro9 pjmsr9 pjmsro9
	* mjm5.mf, pkmjm5.pfb, pkmjm5.afm: 글자 '연'의 모양을 바로잡음.
	* hlguide.tex: 되도록 우리말용어를 쓰도록 노력.

1997-05-18    <zraun01@sunaps>

	* hfontold.tex: \error@hfontshape설정시 착오제거.
	* hangul.sty: 어휘작성시에 가나다라목록을 구분처리할 수 있도록
	theglossary환경을 작성.
	* hlatex: 어휘작성시 만들어지는 .glo서류철도 euc-kr기호체계로
	변환될 수 있도록.

1997-05-15    <zraun01@sunaps>

	* hfont.tex: hfont.cfg를 읽은 후 \MapHangulFamily를 실행시킴으로서
	\@pshan이 변경설정되었을 경우를 대비할 수 있도록. 조합형글꼴을 쓸
	경우 hfont.cfg에서 \MapHangulFamily를 재선언하면
	\AtEndOfPackage에서 이러한 재선언이 실행되도록 함으로서
	\begin{document}에서의 \process@table이 제대로 작동하도록 함.
	한자코드 ^^fb의 버그제거. (다음코드가 ^^a3이었을 때 외부글꼴을
	바꾸도록 함) (이형석님께 감사:hyslee@sarang.kaist.ac.kr)
	* hangul.sty: 색인작성매크로를 완성.

1997-05-10    <zraun01@sunaps>

	* hsfonts.def: HFSS에 따른 전면 개정. hpsfonts.def와 통합.
	* hfont.tex, hfontold.tex: \MapHangulFamily로 우리말글꼴가족에
	대한 심벌/한글/한자글꼴을 미리 지정. \process@table에서 우리말의
	대치글꼴과 에러글꼴을 확인하도록. 우리말가족을
	완성|조합|oldhan으로 구별하고 자모는 완성|조합가족에
	포함시킴. 심벌/한글/한자의 구별은 hfont.tex내부에서 처리하고
	사용자에게는 나타나지 않도록. \DeclareOldFontCommand에 쓰이던
	\usehfont는 사용도가 적어서 없앰. \hfontamily는
	\MapHangulFamily에서 지정한 글꼴맵핑에 따라 정해지는
	심벌/한글/한자글꼴을 각각 구분하여 가족을 지정할 수 있도록
	수정. (\hfont@map을 통해 \sb@family, \hg@family, \hj@family를
	지정.) 맵핑이 지정되지 않은 가족의 경우는 기본치의 맵핑을 쓰고
	사용자에게 이에 대한 경고. \DeclareErrorHFont 및
	\DeclareHFontSubstitution에서는 심벌/한글/한자의 구분없이 우리말
	가족만 지정할 수 있도록 함. 이에따라 \DeclareFontShape 및
	\DeclareHFontShape, \get@external@hfont, \wrong@hfontshape,
	\DeclareHFontEncoding등이 수정됨. 우리말찾기와 최종처리의
	\h@C매크로에서  \f@family부분도 \sb@/\hg@/\hj@을 쓸 수 있도록
	변경. 매크로에 쓰이는 우리말코드는 TeX의 hexcode표시로 바꿈.
	* h*.fd: \MapHangulFamily에 의해 불필요한 글꼴선언파일들을
	제거하고, 나머지는 자모의 구분이 없도록 수정. 모든 \itshape은
	같은 글꼴가족의 \slshape으로 대치되도록 변경. 필기체와 펜흘림체는
	다른 글꼴가족으로 독립시킴. 필요없는 파일은 삭제.
	심벌:
	hsgt.fd    hssm.fd
	hspgt.fd   hspsm.fd
	한글완성형:
	hwbm.fd    hwgs.fd    hwmg.fd    hwol.fd    hwpn.fd    hwyt.fd  
	hwgr.fd    hwgt.fd    hwmj.fd    hwpg.fd    hwsm.fd  
	hwmgt.fd   hwmmj.fd   hwmnv.fd   hwmsr.fd   hwmtt.fd
	hwpbm.fd   hwpgs.fd   hwpmg.fd   hwpol.fd   hwppn.fd   hwpyt.fd  
	hwpgr.fd   hwpgt.fd   hwpmj.fd   hwppg.fd   hwpsm.fd  
	hwpmgt.fd  hwpmmj.fd  hwpmnv.fd  hwpmsr.fd  hwpmtt.fd
	한글조합형:
	hjbm.fd    hjgs.fd    hjmg.fd    hjpg.fd    hjsm.fd  
	hjgr.fd    hjgt.fd    hjol.fd    hjpn.fd    hjyt.fd
	hjmgt.fd   hjmmj.fd   hjmnv.fd   hjmsr.fd   hjmtt.fd
	hjpbm.fd   hjpgs.fd   hjpmg.fd   hjppg.fd   hjpsm.fd  
	hjpgr.fd   hjpgt.fd   hjpol.fd   hjppn.fd   hjpyt.fd
	hjpmgt.fd  hjpmmj.fd  hjpmnv.fd  hjpmsr.fd  hjpmtt.fd
	한글oldhan:
	hodr.fd    hogr.fd    hogt.fd    hool.fd
	hogj.fd    hogs.fd    homj.fd    hopg.fd
	한자:
	hhgs.fd    hhgt.fd    hhsm.fd
	hhpgs.fd   hhpgt.fd   hhpsm.fd
	* hfont.cfg: 조합형글꼴을 쓸 경우 모자라는 글꼴을 완성형에서
	끌어쓸 수 있도록 준비.

1997-05-08    <zraun01@sunaps>

	* hfont.tex: 혼동을 주는 \*default를 삭제하고 다음의 default만
	남김. \hencodingdefault, \symboldefault, \hanguldefault,
	\hanjadefault, \hfamilydefault, \mjdefault, \gtdefault,
	\tzdefault. \hf@idx는 \f@idx로 변경.
	* hangul.sty: \mj, \gt, \gr, ...등의 글꼴바꿈매크로가
	OldFontCommand로 바뀜으로서 \명조, \고딕, \그래픽, ...등의
	우리말글꼴바꿈매크로를 \mjfamily, \gtfamily, \grfamily, ...등의
	기능으로 바꾸고 \타자(=\tz\family)를 추가.

Sat May  3    <zraun01@sunaps>

	* hfont.tex, hfontold.tex: 새 매크로 \makekscletter,
	\makekscother, \makekscactive (모두 한글LaTeX의 관리에 사용중).
	* hangul.ist: 새 파일. 우리말 색인처리시 makeindex의
	style파일. \item대신 \KSitem, \indexspace대신 \hindexspace,
	headings_flag을 1로 설정.
	* hangul.sty: hangul.ist를 써서 색인처리할 때 필요한 매크로
	\KSitem을 정의. 한글의 경우 ㄱㄴㄷㄹ... 목록을 구분하고 심벌 및
	한자는 각기 하나의 그룹으로 처리.

Wed Apr 30    <zraun01@sunaps>

	* hangul.sty: hfont.sty을 쓸 경우에 필요한
	\@latex@warning@no@line, \@font@warning, \centering, \raggedright,
	\raggedleft, \thanks, \markboth, \@markright를 앞으로 옮기고,
	hfont.sty을 쓰면 \@nameuse{hfont.sty}에 의해 hangul.sty이
	끝나도록.
	* hfont.sty: 모든 option을 hangul.sty로 넘겨주고
	\@namedef{hfont.sty}을 \endinput으로 정의한 후 \input hangul.sty.

Tue Apr 29    <zraun01@sunaps>

	* hfont.tex: 우리말 글꼴선택 방식 (HFSS)을 도입하여 글꼴선택방법을
	전면 수정. 우리말 인코딩: H, 우리말 가족: smj, ssm, sgt, stt
	(심벌) wmj, wsm, wgt, wgr, wgs, wol, wbm, wpg, wpn, wmg, wyt
	(완성형한글) jmj, jsm, jgt, jpn (조합형한글) mmj, mgt, mtt, mnv,
	msr (자모형 한글) hmj, hsm, hgt, hgs, htt (한자).
	초기값: \hencodingdefault=H, \symboldefault=s,
	\hanguldefault=\wsdefault (\wsdefault=w, \jhdefault=j,
	\jmdefault=m), \hanjadefault=h, (oldhan은 \ohdefault를 o로).
	\hfamilydefault=\mjdefault (\mjdefault=mj, \gtdefault=gt,
	\tzdefault=tt, \grdefault=gr, \smdefault=sm, \gsdefault=gs,
	\mgdefault=mg, \ytdefault=yt, \bmdefault=bm, \pndefault=pn)
	인코딩: \hfontencoding{\hencodingdefault}
	가족은 두개의 매크로로: 첫번째 매크로는 KSC 5601의 코드에 의한
	심벌/한글/한자를 구분 (\symbolfamily{\symboldefault},
	\hangulfamily{\hanguldefault}, \hanjafamily{\hanjadefault})
	\kscfamily{\symboldefault}{\hanguldefault}{\hanjadefault}는 위의
	셋을 한꺼번에 설정. 한글가족은 셋(완성,조합,자모): \wsfamily,
	\jhfamily, \jmfamily (oldhan에는 \ohfamily). 두번째 매크로는
	우리말의 글꼴형태에 의한 가족을 구분: \hfontfamily{\mjdefault}
	단축매크로는
	\mjfamily  ->  \textmj    \mj
	\gtfamily  ->  \textgt    \gt
	\grfamily  ->  \textgr    \gr
	\smfamily  ->  \textsm    \sm
	\gsfamily  ->  \textgs    \gs
	\mgfamily  ->  \textmg    \mg
	\ytfamily  ->  \textyt    \yt
	\bmfamily  ->  \textbm    \bm
	\pnfamily  ->  \textpn    \pn
	(oldhan에는 compatibility를 위해 \dr와 \gj을 추가)
	필기체과 펜흘림체는 각각 gtfamily와 mjfamily/smfamily/pnfamily에서
	itshape로 선택. 외곽체는 mjfamily의 fontshape을 ol로
	선택. 타자체는 영문의 \ttfamily로 선택. \tzfamily는 영문과
	상관없이 우리말만 타자체로 바뀜.
	영문의 \rmfamily는 \mjfamily를, \sffamily는 \gtfamily를 자동선택.
	softbold는 fontseries의 값을 S+fontseries로 지정함으로서
	선택. softbold에 쓰이는 글꼴시리즈는 fontseries와는 상관없이,
	정해진 mddefault를 써서 세번 중첩인쇄. fontseries는 영문의
	\fontseries를 그대로 사용.
	글꼴선택시, 해당하는 글꼴이 없으면 \fontshape, \fontseries의
	기본값을 차례로 바꿈으로서 찾아 보고 이 것이 실패하면,
	\hfamilydefault로. 그래도 결정되지 않으면
	H/(심벌|한글|한자)\hfamilydefault/m/n/10으로 설정됨.
	hfont.cfg에서 우리말 및 기타 영문과 우리말에서 공용으로 쓰이는
	기본값을 정할 수 있도록.
	영문의 매크로 \usefont는 우리말의 경우 첫 두 변수가 \hfontencoding
	및 \hfontfamily를 지정할 수 있고 나머지 둘은 영문에서와 마찬가지로
	\fontseries 및 \fontshape을 지정.
	pshan은 \hfontfamily의 앞에 p를 두므로서 선택. (이형석님께
	감사:hyslee@sarang.kaist.ac.kr)
	* hangul.sty: HFSS에 따라 불필요한 \h@nguldefault를 삭제.
	* hfontold.tex: hfont.tex의 우리말 글꼴선택 방식 (HFSS)에
	적응하고, oldhan에만 필요한 부분을 추가 (\hg@break, \dr, \gj,
	\ohdefault) 및 수정 (\DeclareFontShape,
	\DeclareHFontShape). 우리말 선택은 oldhan.tab을 읽어서
	정의. 메모리문제로 josa.tab의 처리는 삭제.
	* 글꼴선택의 변경으로 새로 만들어진 .fd파일들:
	심벌:
        hsgt.fd   hsmj.fd   hssm.fd   hstt.fd
	hspgt.fd  hspmj.fd  hspsm.fd  hsptt.fd
	한글완성형:
        hwbm.fd   hwgt.fd   hwol.fd   hwgr.fd  hwyt.fd	hwmg.fd   hwgs.fd
	hwmj.fd   hwpg.fd   hwpn.fd   hwsm.fd
	hwpbm.fd  hwpgt.fd  hwpol.fd  hwpgr.fd hwpyt.fd hwpmg.fd  hwpgs.fd
	hwpmj.fd  hwppg.fd  hwppn.fd  hwpsm.fd
	한글조합형:
        hjgt.fd   hjmj.fd   hjpn.fd   hjsm.fd
	hjpgt.fd  hjpmj.fd  hjppn.fd  hjpsm.fd  
	한글자모형:
        hmmj.fd   hmsm.fd   hmgt.fd   hmnv.fd   hmsr.fd   hmtt.fd
        hmpmj.fd  hmpsm.fd  hmpgt.fd  hmpnv.fd  hmpsr.fd  hmptt.fd
	한자:
        hhgs.fd   hhmj.fd   hhsm.fd   hhgt.fd   hhtt.fd
	hhpgs.fd  hhpmj.fd  hhpsm.fd  hhpgt.fd  hhptt.fd
	oldhan:
        hogr.fd   hogs.fd   hogt.fd   homj.fd   hosm.fd

1997-04-18    <zraun01@sunaps>

	* hfontold.tex: 착오로 심벌/한자글꼴에서 작동하지 않게된 pshan을
	다시 복구. 심벌과 한자글꼴은 항상 \fontseries{m}이 되도록 하고,
	\@KSCbold로 두꺼운 글씨체를 만들도록. 한글매크로에도 \string대신에
	\KSC@를 씀.
	* fonts/Makefile, fonts/runmf: 오류제거

1997-04-09    <zraun01@sunaps>

	* hangul.sty: 인용의 자동처리조사 매크로를 위한 josa.tab매크로를
	숫자대신 \hexnumber@로 (\make@josa, \JS@). 이로서 TeX에 필요한
	string characters를 대폭 감소시킴.

1997-04-04    <zraun01@sunaps>

	* hangul.sty: 한글LaTeX에 쓰이는 \HLaTeXversion 및 \HLaTeXdate가
	hangul.sty에서 정의된 \fileversion 및 \filedate를 쓸 수 있도록.
	* 0.96판 이전에 쓰던 완성형글꼴을 이름만 바꾸어 사용할 때 발생하는
	checksum error를 바로잡음.
	wsgrm9.tfm wsgrmo9.tfm wsgrb9.tfm wsgrbo9.tfm
	wsgtm9.tfm wsgtmo9.tfm wsgtb9.tfm wsgtbo9.tfm
	wsmjm9.tfm wsmjmo9.tfm wsmjb9.tfm wsmjbo9.tfm
	wsgs9.tfm  wsgso9.tfm
	wsmg9.tfm  wsmgo9.tfm
	wsol9.tfm  wsolo9.tfm
	wsyt9.tfm  wsyto9.tfm

Tue Apr  1 11:53:34 1997  Koaunghi Un  <zraun01@indiaka.zdv.uni-tuebingen.de>

	* 버전 0.961:

	* upwan.fd, upjohab.fd, upjamo.fd, uphsymb.fd, uphanja.fd:
	사용할 수 있는 글꼴의 크기를 5pt에서 무한대까지로
	설정. <wkim+@pitt.edu>

1997-03-31    <zraun01@sunaps>

	* hfontold.tex: 0.96에 적응.
	* *.fd: 빠진 글꼴모양을 추가.
	* hfont.tex: \normalfont, \ttfamily, \upshape, \slshape, \scshape,
	\itshape의 재 정의에 \expandafter를 써서. \@KSCbold...는
	\fontseries에서 결정하도록 하고 \load@ksc에 걸리는 부하를
	줄임. \bold@ksc의 \box자체에 포맷을 포함. \newif\if@KSCbold를
	\if@makebold의 앞으로. 우리말 EUC글자 매크로를 가능한한
	expand시켜서 문서처리시 걸리는 부하를 감소. \@pshan도 여기서
	expand시키도록 함. \load@ksc의 \fontencoding, \fontfamily,
	\fontseries, \fontshape은 미리 \edef\f@encoding, \edef\f@family,
	\edef\f@series, \edef\f@shape으로 정의한 후 \selectfont할 수
	있도록. \hangulfamily가 \h@ngulf@mily를 정의할 수
	있도록 함으로서 hfont.cfg에서는 \def\hangulfamily{..}대신에
	\hangulfamily{..}로 선언할 수 있도록.
	* hangul.sty: \if p\@pshan\ExecuteOptions{softbold}\fi를
	hfont.tex로 이동하여 hfont.cfg를 읽은 후에 실행되도록. \centering,
	\raggedright, \raggedleft, \verbatim@font의 재정의에
	\expandafter를 써서. 새파일 josa.tab에 조사결정에 필요한 데이터
	수집. 이로 인해 \make@josa의 한글부분이 한글, 한자, 한글자소로
	확장되면서 매크로 \@grep의 사용은 생략됨.
	* josa.tab: 새파일. citation에 쓰일 한글, 한자, 자소
	자동처리조사표.
	* contrib/halpha.bst: 저자가 여러명일 경우 마지막에 "공저"가 나올
	수 있도록. \newcommand{\etalchar}의 "^"가 사라지는 것을 방지하기
	위해 \DeclareRobustCommand\etalchar로 .bbl파일에 쓰여지게.

1997-03-17    <zraun01@sunaps>

	* 버전 0.96:

	* hfont.tex: 새로운 매크로들, \DeclareHgShape \SubstHgShape
	\DeclareHjshape \SubstHjShape \DeclareHsShape \SubstHsShape로 font
	definition file들을 간단히.

1997-03-15    <zraun01@sunaps>

	* emtex/: emTeX사용자들이 글꼴만들기를 쉽게 할 수 있도록 batch파일
	및 mfjob파일을 모두 수정, 재작업.

1997-03-12    <zraun01@sunaps>

	* hangul.sty: 새글꼴, 타자기체 완성. 이에따라 \ttfamily를 재조절.
	* hfont.tex: 글꼴속성에 따라 글꼴바꿈매크로에 \h@series를 정의하여
	\load@ksc에서 \fontseries를 결정할 수 있도록. 이에따라 .fd파일을
	단순화함. \pickup@font에서의 한글 두껍게하기도 \load@ksc에서
	결정. \if@KSCbold는 \if@makebold에서만 보일 수 있도록.
	* hfont.sty: 0.96에 적응.

Fri Mar  7 10:04:49 1997    <zraun01@sunaps>

	* hfont.tex: 우리말 2바이트처리 매크로의 앞쪽 글꼴결정부분은
	\load@ksc, 뒷쪽 우리말 두껍게하기부분은 \bold@ksc로 따로 정의.
	* hangul.sty: 매크로 \see에서의 자동조사처리.
 	우리말글꼴바꿈매크로의 뒤에 \ignorespace. \cite에서의
 	자동조사처리를 위한 매크로 \make@josa. \cite 라벨의 문자열 파악은
	영문자와 숫자 그리고 한글로 일단 제한. 조사처리를 가능하게
	\bibcite에 \make@josa내지는 \ks@num을 추가하도록 \bibitem을 수정.

Sun Mar  2 14:25:13 1997    <zraun01@sunaps>

	* hangul.sty: 자동조사처리에서 \fnsymbol대신 \@fnsymbol,
	\romannumeral대신 \@roman과 \@Roman을 수정. 숫자파악매크로들이
	.aux파일의 \newlabel에서만 나타나도록 \label에서 \if@ksroman을
	결정하여 \protected@write를 조정. 우리말숫자의 조사는 매크로
	\alph@josa로 할 수 있도록. hfont.tex의 내용중 latex.ltx에서
	발췌수정한 것들을 hangul.sty로 이동.

Wed Feb 26 23:50:21 1997    <zraun01@sunaps>

	* hangul.sty: 자동조사처리기능(\은\는\이\가\을\를\와\과\으로\로
	\으로서\로서\으로써\로써). 이에 따라 \fnsymbol, \@arabic,
	\ronamnumeral, \@alph, \@Alph 및 우리말 숫자를 수정. 숫자파악은
	\ks@num, 그외는 \@jung, \@jong, \ri@ul로 \@josa가 두가지 조사중
	하나를 선택할 수 있도록.
	* hfont.tex: 우리말 명령은 모두 hangul.sty로 옮김. 위의
	자동처리조사와 충돌되는 우리말명령들(\고딕, \그래픽\궁서,
	\명조\목각, \옛글\외곽)은 자동처리조사와 함께 hangul.sty에서 정의.
	충돌이 않되는 우리말 명령들은 위와 호환되게
	수정. (\@ifnextchar). 우리말글꼴바꿈매크로의 뒤에 \ignorespace.
	(명령다음에 \space가 꼭 올 필요없음) \hanguldefault{가족}{글꼴}을
	\hanguldefault{글꼴}로 축소. 가족은 완성형을 기본으로하고 조합형을
	쓸 경우에는 hfont.cfg에서 정의할 수 있도록 함.

Fri Feb 21 18:24:33 1997    <zraun01@sunaps>

	* hfont.tex: 글꼴파일이름을 iso9660파일시스템에 맞게 모두 수정.
	hlatex-guide.tex도 hlguide.tex로. 필기체글꼴 완성.
	\counter \h@f@m을 없애고 자모글꼴변환은 모두 \jm??으로. \jamo는
	없앰. \wan=\wansung. \normalfont=\reset@font에 \h@nguldefault로
	한글글꼴을 초기화. \normalh@ngul을 삭제.
	* 슬라이드작성을 위한 매크로파일 hsfonts.def, hpsfonts.def 및 글꼴
	완성. -- 모두 \LaTeX209하에서 작동할 수 있도록. hltx209.cfg는
	\LaTeX209하에서 hangul.sty의 옵션을 처리를 할 수 있도록.
	* hangul.sty: \if@pshan을 \def\@pshan{p}로 변경. 단원 짜기와
	headings짜기의 한글화를 약간 수정.

Fri Oct 18 11:06:16 1996    <zraun01@sunap3>

	* hfont.tex: 새 심볼글꼴(명조,고딕). \hsymb@lenc@ding삭제.
 	글꼴선택을 개선. \markboth, \@markright를 개선. 우리말의 두꺼운
	글씨체의 선택은 \pickup@font에서 결정.
	우리말 2 bit계산은 미리하고 \string을 \KSC@로 변경하여
	우리말 두 bit의 처리방식을 때에따라 변경할 수 있도록.

Mon Oct 14 23:34:28 1996    <zraun01@sunap3>

	* hfont.tex: 글꼴선택을 \mj, \gt, \gr, \gs, \mg, \yt, \pn, \ol,
	\jmnv, \jmsr로 제한. \wansung, \johab, \jamo로 한글글꼴의 가족
	선택. 매크로 \{mj,gt,gs,gr,mg,pn,dr,pg}default는 삭제됨. counter
	\ksc@shape이 매크로로. \s@l@cth@ngulsh@pe은 삭제되고 대신
	fd파일에서 font substitution으로 처리. \h@ngulenc@ding과
	\h@njaenc@ding이 삭제됨.

Sun Oct 13 23:53:52 1996    <zraun01@sunap3>

	* 새 글꼴 (한글): 조합형 명조체(\jhmj), 고딕체(\jhgt),
	펜글씨체(\jhpn). 자모형 명조체(\jmmj), 고딕체(\jmgt), 노벨(\jmnv),
	소라(\jmsr). (한자): 완성형 명조체, 고딕체, 궁서체.
	한자의 ligature를 정의하는 hanjaL[A-T].mf, 명조체는 질이 향상됨.
	지금까지 쓰던 한자 명조체, 고딕체는 삭제.
	* Ujohab.fd, Upjohab.fd, Ujamo.fd, Upjamo.fd: 새 매크로파일.
	* Uhangul.fd, Uphangul.fd: Uwansung.fd, Upwansung.fd로 개명.
	* Uwansung.fd, Upwansung.fd, Uhanja.fd, Uphanja.fd:
	\DeclareW@nsungFont, \DeclarePW@nsungFont, \DeclareH@njaFont,
	\DeclarePH@njaFont.
	* hfont.tex: 새 글꼴 추가. \h@ngulf@mily로 wansung, johab, jamo를
	선택. \s@l@cth@ngulsh@pe으로 한글글꼴선정. \thanks매크로를 한글에
	맞게 수정(이기용교수님의 지적). \h@ngulenc@ding, \h@njaenc@ding을
	수정.

Thu Apr 21 10:51:03 1996    <zraun01@sunap3>

	* contrib/hlatex: 새 파일.
	* hfont.tex: \@font@waring(\protect=\relax).
	* Fonts/Makefile: 대폭 수정 (Wonkoo Kim <wkim+@pitt.edu>님께 감사).
	* hfont.tex: \ks@break를 counter에서 command로. \verbatim@font에서
	우리말분철을 방지.

Mon Apr  4 13:41:57 1996    <zraun01@sunap3>

	* 버전 0.95:
	* PS 한글/한자 tfm/vf파일들에 LIGKERN을 삽입.
	* HLaTeX-tfms.tar.gz, PS-HLaTeX-vf.tar.gz, PS-HLaTeX-tfm.tar.gz:
	새로 준비.
	* Uphanja.fd, Uphangul.fd: 수정.
	* hlatex-guide.tex, README.ks, README.eng: 수정.
	* emTeX: emTeX 사용자를 위한 디렉토리.
	* hfont.tex: \@latex@warning@no@line(\protect=\relax). \all@ksc,
	\@ks@code 삭제.
	* hfontold.tex, hfont.sty: 수정
	* hangul.sty: \HLaTeXversion, \HLaTeXdate.
	* 버전 숫자 점검.

Sat Mar 30 10:57:39 1996    <zraun01@sunap3>

	* 한글/한자 tfm파일들에 LIGTABLE을 삽입.
	* hfont.tex: ligature에 의한 한글/한자 선택. EUC코드 매크로가
	수정됨 (\^^c9 \^^ff). \centering, \flushleft, \flushright
	명령/환경에서의 우리말 분철을 방지.
	* contrib/auctex-9.4g.kr.diff: auctex-9.3c.kr.diff는 삭제.
	* NEWS.ks, ChangeLog.ks, contrib/README.ks: 수정.

Fri Mar 22 17:21:35 1996    <zraun01@sunap3>

	* Fonts/Makefile: hhmj와 hhgt의 경우 A-T까지 만들도록 (타자 실수).
	${one_series} 글꼴의 경우 파일의 이름이 `m mo'로 끝나지 않도록.
	-- 지적해 주신 Park Jae-hyon님께 감사.(jhpark@entropy.kaist.ac.kr)
	* hfont.tex: \spacefactor로 우리말 분철. \@Hhyphen을 \@Hyphen으로
	바꾸고 \H@hyphen을 없앰. 분철은 새 카운터 \ks@break에 의해
	조정. 〔〈《「『【의 뒤와 〕〉》」』】의 앞에는 분철을 방지.

Thu Mar 21 12:50:44 1996    <zraun01@sunap3>

	* contrib/hbibtex, contrib/halpha.bst, hlatex-guide.bib: 새파일.
	* hfont.tex: \nocite를 우리말에 적응.

Sun Mar 17 16:29:38 1996    <zraun01@sunap3>

	* hfont.tex: \ref, \pageref, \label, \newlabel, \bibcite를
	우리말에 적응. \@cite매크로의 버그제거 (\@empty).
	* 새매크로: \@ks@code, \all@ksc, \tw@ksc, \ks@noexpand, \명조,
	\고딕, \그래픽, \궁서, \목각, \옛글, \외곽
	* hangul.sty: 우리말 이름들의 매크로를 모두 \ks...로 바꿈. 이에
	따라 \chapter,  ... 등등을 수정. book class의 \ps@heading을
	재정의한 후 \pagestyle{headings}를 재 선언.

Mon Jan 29 19:29:12 1996    <zraun01@sunaps>

	* 버전 0.94:
	* hlatex-guide.tex: 수정.

Sun Jan 28 16:29:37 1996    <zraun01@sunaps>

	* README.ks, README.eng: 수정. dvips사용 힌트에서 documentation
	bug을 제거.

	* NEWS.ks: 새 파일.

Sat Jan 27 09:33:57 1996    <zraun01@sunaps>

	* hangul.sty:
	option "pshan" -- 포스트스크립트 글꼴을 사용할 경우.
	option "oldhan" -- 이전의 한글 글꼴을 사용할 경우. Font
	  definition파일은 Uoldhan.fd로 바꿈. 한자/심벌은 새 글꼴을 사용.
	  글꼴매크로파일은 hfontold.tex.
	다음의 매크로를 사용자가 임의로 재정의하여 사용할 수 있도록 개명.
	  \ks@appendixname --> \ksappendixname
	  \ks@THE	   --> \ksTHE
	  \ks@partname	   --> \kspartname
	  \ks@chaptername  --> \kschaptername
	  \ks@sectionname  --> \kssectionname

	* hfont.tex: 내부에만 사용되는 명령들의 이름에 '@'를 포함시켜 바깥에
	들어나지 않게함. 한글/한자 포스트스크립트 사용.

	* Uphangul.fd, Uphanja.fd: 새 파일.

	* hfontold.tex: 한글은 이전에 사용하던 글꼴로, 한자 및 심벌은 버전
	0.93에 사용하는 글꼴로. 매크로의 내부에 사용되는 명령에 '@'을 포함시켜
	바깥에 들어나지 않게함. \if@KSCbold로 boldseries를 대치. \preHyphen,
	\postHyphen, \noHyphen을 도입. \h@C로 한자/심벌, \h@A 및 \h@B로 한글
	글자 지정. 조합코드를 좀더 단순화.

	* Uoldhan.fd: bfseries및 심벌을 삭제.

	* Fonts/config: 새 디렉토리. Fontmap.hangul KSres.upr MakeTeXnames
	psfonts.map.hangul HLaTeX.enc MakeTeXPK append_db.diff
	special.map.hangul

Mon Jan 22 23:17:42 1996    <zraun01@sunaps>

	* hangul.sty, hfont.sty: 새 option으로 softbold, hardbold설정하여
	bfseries한글글꼴을 매크로로 대치할지를 결정.

	* hfont.tex: 새 매크로 \if@KSCbold로 bfseries의 경우 글꼴을 두껍게
	나타낼지를 결정.

	* Uhangul.fd, Uhanja.fd: 새 매크로 \DeclareH@angulFont,
	\DeclareH@anjaFont로 글꼴정의를 간편히 함.

Thu Jan 11 12:35:30 1996    <zraun01@sunaps>

	* hangul.sty, hfont.sty: 불필요한 counter \Catch를 \@tempcnta로
	대치. 불필요한 \if@kfont \if@wansung을 삭제.

	* hfont.tex: 불필요한 counter \h@N \h@@N \h@@@N \a@y \a@@y
	\KSCode를 삭제하고 \@tempcnta \@temcntb로 대치.

	* Version 0.93에 contrib/auctex-9.3c-kr.diff를 포함하여 다시
	CTAN으로 배출.

Wed Dec  6 15:57:53 1995  Koaunghi Un  <zraun01@indiaka.zdv.uni-tuebingen.de>

	* Version 0.93 공개.
	* hfont.tex: 새 매크로 \noHyphen
	* README.ks, README.eng, hlatex-guide.tex: 수정

Mon Dec  4 10:37:49 1995    <zraun01@sunaps>

	* hlatex-guide.tex: 수정(multicol.sty적용).
	* hfont.tex: 새 매크로 \preHyphen, \postHyphen.

Thu Nov 23 15:02:50 1995    <zraun01@sunaps>

	* README.ks, README.eng, hlatex-guide.tex, Fonts/README.font,
	Fonts/Makefile: 다시 작성 내지는 수정.
	* Fonts/COPYING: GNU Public License
	* Uhsymbol.fd: 고딕체 부분을 삭제(K시리즈의 고딕체가 없음).
	* hfont.tex: 한자 hhgt를 삭제(256 TeX's font register의 제한)

Sat Oct  7 14:45:19 1995    <zraun01@sunaps>

	* hfont.tex: 완성형글꼴에 따른 대폭 수정(한글[A-J]: wsmj, wsgt,
	wsgr, wsgs, wsmg, wsyt, wsol; 한자[A-T]: hhmj, hhgt; 심벌[K,J]:
	hsmj, hsgt)
	* Uhangul.fd, Uhanja.fd, Uhsymbol.fd: font definition.

Sat Mar 11 09:26:43 1995    <zraun01@hpserv>

	* hangul.sty: book class사용시 발생하는 에러 (\end occurred when
	\iffalse ... incomplete)가 해결되었읍니다.

Fri Mar  3 09:59:16 1995    <zraun01@hpserv>

	* hfont.tex: \hangulencoding=\fontencoding{U}\fontfamily{hangul},
	\hanjaencoding=\fontencoding{U}\fontfamily{hanja}.
	한자자형선택(\hf[C-V])을 매크로 \Han@Ja에 내장.
	* hangul.sty: 새 매크로 \makeKSCactive, \makeKSCother.
	* Uhanja.fd: \fontshape hmj[C-V] --> mj[C-V]

Sun Feb 26 17:12:01 1995    <zraun01@hpserv>

	* hangul.sty: report와 book 클래스에서 \theequation 및 \thefigure,
	\thetable을 한글화되지 않도록 수정. makeindex에서 KSC5601코드를
	\@makeother로 정의.

Sat Feb 18 10:03:07 1995    <zraun01@hpserv>

	* hfont.sty: 새 파일 (보통의 LaTeX문서에 한글/한자의 사용만
	가능할 수 있도록...)

Mon Feb  6 13:27:31 1995    <zraun01@hpserv>

	* HLaTeX-0.92e: 공개 버전
	* contrib/auctex-9.2y.diff: auctex-9.1i.diff 대신
	* README.eng, README.ks, contrib/README.ks: 약간 수정
	* hlatex-guide.tex: 약간 수정

Wed Nov 30 10:08:38 1994    <zraun01@hpserv>

	* hfont.tex, Uhangul.fd: 글꼴 삭제(\hmj, \hpg)
	\hmjdefault → \mjdefault, 글꼴 \hgt를 \gt로 설정, 글꼴매크로
	\hol이 \ol로, \hsm이 \sm으로.

	* hfont.tex: 한자글꼴매크로 \hhmj가 \hmj로, \hhgt가 \hgt로.

	* hlatex-guide.tex: 글꼴세트의 변환에 따른 수정.

Thu Nov 24 14:26:56 1994    <zraun01@hpserv>

	* HLaTeX-0.92d: (마지막) 테스트 버전

	* hlatex-guide.tex, README.ks, README.eng: 새 파일

	* hfont.tex: 쓰지 않는 심벌의 경우 에러 메세지(\@bad@hsymbol)

Fri Nov 18 11:27:38 1994    <zraun01@hpserv>

	* hangul.sty: 매크로이름 변경(\gana→\jaso, \Gana→\gana),
	매크로 추가(\ojaso, \ogana, \pjaso, \pgana, \oeng, \peng, \onum,
	\pnum)

	* hfont.tex, Uhangul.fd: 심벌자형매크로이름을 변경(\hsym→\hsm)
	새 자형매크로(\gj, \pg)

Fri Nov 11 12:31:26 1994    <zraun01@hpserv>

	* hfont.tex: 모든 \catcode를 \loop으로 처리, 한글 및 漢字
	매크로 처리를 단순화(\H@G#1, \H@J#1)

	* hangul.sty: Appendix의 \l@subsection이 \the\subsection만을
	쓰도록 수정.

29/Oct/1994

	* hfont.tex: 한글 심벌자형을 일부 도입(심벌·자소·고어자소),
	\emergencystretch대신 \discretionary{}{}{}사용

	* ChangLog.ks: 연대기를 따로 작성

21/Sep/1994    test version 0.92c

	* hangul.sty: LaTeX2e patchlevel 3에 적응, 단원의 format을 새로운
	방법으로 작성, option인 kssection을 폐기

	* hfont.tex: \proctect대신 \DeclareRobustCommand를 사용

09/Sep/1994    test version HLaTeX 0.92b

	* hfont.tex: Hanja scheme, Hangul scheme changed, combined
	UhangulA.fd und UhangulB.fd to Uhangul.fd,\emergencystretch20pt
	instead of \penalty5, new protected macros \HanGul[A-Z]#1 +
	\HanJa#1#2 (There was a problem in the \tableofcontents),
	漢字코딩이 KSC5601式으로 바뀜.

03/Sep/1994    test version HLaTeX 0.92a

	* hangul.sty: 한자 코딩이 JIS에서 KSC5601로 변경

	* hfont.tex: 한자 코딩이 JIS에서 KSC5601로 변경, \catcode to enable
	EUC code to be activated, new jaso code according to the new font
	sets of HLaTeX 0.91, new hanja code according to KSC5601 scheme

---- jhtex와 HLaTeX를 통합 ----

14/Aug/1994	hangul.sty: version 0.3
			한글/한자 이름을 추가( \cc --> 사본/寫本 ).
13/Aug/1994	hfont.tex: no line break before  .?!,;:'-)]> and after `([<
09/Aug/1994	hfont.tex: new definitions for hangul jaso's
			with no correct shapes
17/Jul/1994	hfont.tex: integrated new font shape (hol)
25/Jun/1994	hfont.tex: integrated new font shapes (hmj, hpg, hgt)
03/Mar/1994	hfont.tex: added dummy substitution for non-existing
			bx-series fonts
		*.fd: simplyfied font loading info
28/Feb/1994	hangul.sty: 개선(version 0.2) (zraun01@hpserv)
		hfont.tex: verbatim환경에서의 한글자소 문제 해결.
23/Feb/1994	hfont.tex: fixed bug with german.sty
20/Feb/1994	hfont.tex: HLaTeX version 0.91 scheme
11/Feb/1994	hfont.tex: adapted for LaTeX version 2e
		Hangul font definition files are renamed (UhangulA.fd,
			UhangulB.fd)
		hfont.tex: made font changing somewhat(?) stable(\protect)
04/Feb/1994	hangul.sty: 처녀(version 0.1)
24/Nov/1993	Created font definition files
			(Uhana.fd, Uhanb.fd, Uhanja.fd)
25/Oct/1993	adjust point sizes (14.4, 17.28, 20.74, 24.88) in hfont.tex
19/Sep/1993	hfont.tex: updated for NFSS2
21/Mar/1993	hfont.tex: created for LaTeX2e
